Index: orxonox/trunk/src/glmenu_imagescreen.cc
===================================================================
--- orxonox/trunk/src/glmenu_imagescreen.cc	(revision 3365)
+++ orxonox/trunk/src/glmenu_imagescreen.cc	(revision 3365)
@@ -0,0 +1,258 @@
+
+
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Patrick Boenzli
+   co-programmer: 
+*/
+
+
+#include "glmenu_imagescreen.h"
+#include "importer/texture.h"
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+
+   \todo this constructor is not jet implemented - do it
+*/
+GLMenuImageScreen::GLMenuImageScreen () 
+{
+   this->setClassName ("GLMenuImageScreen");
+}
+
+
+/**
+   \brief standard deconstructor
+
+   \todo this deconstructor is not jet implemented - do it
+*/
+GLMenuImageScreen::~GLMenuImageScreen () {}
+
+
+/**
+   \brief function to init the screen
+*/
+void GLMenuImageScreen::init ()
+{
+  /*
+  int w = 680;
+  int h = 480;
+
+  glViewport(0,0,w,h);
+  
+  glMatrixMode(GL_PROJECTION);
+  glLoadIdentity(); 
+  gluPerspective(45.0f,(GLfloat)w/(GLfloat)h, .5f ,150.0f);
+  glMatrixMode(GL_MODELVIEW); 
+
+  this->backTex = new Texture();
+  this->backTex->loadImage("orx_tex.bmp");
+
+  glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
+  glLoadIdentity();
+  gluLookAt(0, 0, 6,     0, 0, 0,     0, 1, 0);
+
+  // Bind the texture stored at the zero index of g_Texture[]
+  //glBindTexture(GL_TEXTURE_2D, g_Texture[0]);
+  */
+
+  
+  // Select Our VU Meter Background Texture
+  this->backTex = new Texture();
+  this->backTex->loadImage("load_screen.jpg");
+
+  // End of Background image code.
+}
+
+
+/**
+   \brief function to innit screen with all attributes set
+   \param name of the background-image file
+   \param height of the ImageScreen
+   \param width of the Image Screen
+   \param x offset from (0, 0)
+   \param y offset from (0, 0)
+
+   GLMenu uses its own coordinating system: upper left corner is (0, 0). x-axis is down=height, 
+   right axis is right direction (=width)
+*/
+void GLMenuImageScreen::init (char* backImageName, float height, float width, 
+			      float offsetX, float offsetY)
+{}
+
+
+/**
+   \brief draws the ImageScreen to the screenbuffer
+*/
+void GLMenuImageScreen::draw ()
+{
+  /*
+  // Display a quad texture to the screen
+  glEnable(GL_TEXTURE_2D);
+  glBegin(GL_QUADS);
+  
+  // Display the top left vertice
+  glTexCoord2f(0.0f, 1.0f);
+  glVertex3f(-2.5, 2.5, 0);
+  
+  // Display the bottom left vertice
+  glTexCoord2f(0.0f, 0.0f);
+  glVertex3f(-2.5, -2.5, 0);
+  
+  // Display the bottom right vertice
+  glTexCoord2f(1.0f, 0.0f);
+  glVertex3f(2.5, -2.5, 0);
+  
+  // Display the top right vertice
+  glTexCoord2f(1.0f, 1.0f);
+  glVertex3f(2.5, 2.5, 0);
+
+  glEnd();
+  glEnable(GL_TEXTURE_2D);  
+  */
+
+  glClear( GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT);
+
+  // Screen Size.
+  int screenWidth = 640;
+  int screenHeight = 480;
+  
+  // Set Image Size.
+  int imageWidth = 640;
+  int imageHeight = 480;
+  
+  // Start pos of image.
+  int offsetX = (screenWidth - imageWidth)/2;
+  int offsetY = (screenHeight - imageHeight)/2;
+  
+  glEnable(GL_BLEND);
+  glEnable(GL_TEXTURE_2D);
+
+  glPushAttrib(GL_LIGHTING_BIT | GL_TRANSFORM_BIT);
+  
+  glDisable(GL_LIGHTING);
+  glMatrixMode(GL_PROJECTION);
+  glPushMatrix();
+  glLoadIdentity();
+  /* set up an ortho screen */
+  glOrtho(0, screenWidth, 0, screenHeight, -1, 1); 
+  glMatrixMode(GL_MODELVIEW);
+  glLoadIdentity();
+  glPushMatrix();
+  glEnable(GL_BLEND);
+
+  glBegin(GL_QUADS);
+  glTexCoord2i(0, 0); glVertex2i(offsetX, offsetY);
+  glTexCoord2i(1, 0 ); glVertex2i(offsetX + imageWidth, offsetY);
+  glTexCoord2i( 1, 1 ); glVertex2i(offsetX + imageWidth, offsetY + imageHeight);
+  glTexCoord2i( 0, 1 ); glVertex2i(offsetX, offsetY + imageHeight);
+  glEnd();
+
+  glDisable(GL_TEXTURE_2D);
+
+  glBegin(GL_QUADS);
+  glColor3f(1.0, 0.0, 0.0);
+  glVertex2i(100, 100);
+  glVertex2i(200, 100);
+  glVertex2i(200, 150);
+  glVertex2i(100, 150);
+  glEnd();
+
+
+  glDisable(GL_BLEND);
+  glPopMatrix();
+  glMatrixMode(GL_PROJECTION);
+  glPopMatrix();
+  glPopAttrib();
+
+  SDL_GL_SwapBuffers();                    
+  SDL_Delay(1000);
+}
+ 
+
+/** 
+    \brief sets the background image name
+    \param file name of the backgroun-image
+ */
+void GLMenuImageScreen::setBackImageName (char* backImageName)
+{}
+
+
+/**
+   \brief sets position of the ImageScreen
+   \param x offset from (0, 0)
+   \param y offset from (0, 0)
+*/
+void GLMenuImageScreen::setPosition(float offsetX, float offsetY)
+{}
+
+
+/*
+  \brief sets size of the ImageScreen
+  \param height of the ImageScreen
+  \param width of the Image Screen
+*/
+void GLMenuImageScreen::setSize(float height, float width)
+{}
+
+
+/**
+   \brief set the maximum of countable steps
+   \param maximum of steps
+*/
+void GLMenuImageScreen::setMaximum(int maxStep)
+{
+  this->maxStep = maxStep;
+}
+
+
+/**
+   \brief gets the maximum of countable steps
+*/
+int GLMenuImageScreen::getMaximum()
+{
+  return this->maxStep;
+}
+
+
+/**
+   \brief set current value
+   \param current value
+*/
+void GLMenuImageScreen::setValue(int currentValue)
+{
+  this->currentValue = currentValue;
+  this->draw();
+}
+
+
+/**
+   \brief get the current value
+ */
+int GLMenuImageScreen::getValue()
+{
+  return this->currentValue;
+}
+
+
+/** 
+    \brief call this to trigger a progress event
+    
+    this has to redraw the progress bar and the whole image
+ */
+void GLMenuImageScreen::step ()
+{
+  this->currentValue++;
+}
Index: orxonox/trunk/src/glmenu_imagescreen.h
===================================================================
--- orxonox/trunk/src/glmenu_imagescreen.h	(revision 3365)
+++ orxonox/trunk/src/glmenu_imagescreen.h	(revision 3365)
@@ -0,0 +1,46 @@
+/*! 
+    \file glmenu_imagescreen
+    \brief class to display a image
+*/
+
+
+#ifndef _GLMENU_IMAGESCREEN_H
+#define _GLMENU_IMAGESCREEN_H
+
+#include "stdincl.h"
+
+class Texture;
+
+class GLMenuImageScreen : public BaseObject {
+
+ public:
+  GLMenuImageScreen ();
+  ~GLMenuImageScreen ();
+
+  void init ();
+  void init (char* backImageName, float height, float width, 
+	     float offsetX, float offsetY);
+
+  void draw ();
+  
+  void setBackImageName (char* backImageName);
+  void setPosition (float offsetX, float offsetY);
+  void setSize (float height, float width);
+  
+  void setMaximum (int maxStep);
+  int getMaximum ();
+  void setValue (int currentValue);
+  int getValue ();
+  void step ();
+
+ private:
+  char* backImageName;       //! the name of the file of the background image
+  float height, width;       //! hight and width of the image
+  float offsetX, offsetY;    //! offset of the image from left and up
+  Texture* backTex;          //! background texture
+  int currentValue;          //! the current count of step() calls fired yet
+  int maxStep;               //! total count of steps
+
+};
+
+#endif /* _GLMENU_IMAGESCREEN_H */
Index: orxonox/trunk/src/helper_parent.cc
===================================================================
--- orxonox/trunk/src/helper_parent.cc	(revision 3365)
+++ orxonox/trunk/src/helper_parent.cc	(revision 3365)
@@ -0,0 +1,42 @@
+
+
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Patrick Boenzli
+   co-programmer: ...
+*/
+
+
+#include "helper_parent.h"
+
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+
+   \todo this constructor is not jet implemented - do it
+*/
+HelperParent::HelperParent () 
+{
+   this->setClassName ("HelperParent");
+}
+
+
+/**
+   \brief standard deconstructor
+
+   \todo this deconstructor is not jet implemented - do it
+*/
+HelperParent::~HelperParent () {}
+
Index: orxonox/trunk/src/helper_parent.h
===================================================================
--- orxonox/trunk/src/helper_parent.h	(revision 3365)
+++ orxonox/trunk/src/helper_parent.h	(revision 3365)
@@ -0,0 +1,24 @@
+/*! 
+    \file helper_parent.h
+    \brief this is a parent class, that isn't visible in the real world itself
+*/
+
+
+#ifndef _HELPER_PARENT_H
+#define _HELPER_PARENT_H
+
+#include "stdincl.h"
+#include "p_node.h"
+
+
+
+class HelperParent : public PNode {
+
+ public:
+  HelperParent ();
+  ~HelperParent ();
+
+
+};
+
+#endif /* _HELPER_PARENT_H */
Index: orxonox/trunk/src/importer/Makefile.am
===================================================================
--- orxonox/trunk/src/importer/Makefile.am	(revision 3364)
+++ orxonox/trunk/src/importer/Makefile.am	(revision 3365)
@@ -8,14 +8,16 @@
 importer_SOURCES= framework.cc \
 	          windowHandler.cc \
-	  	  object.cc \
+	  	  model.cc \
 	  	  array.cc \
 	  	  material.cc \
+		  texture.cc \
 	  	  vector.cc 
 
 noinst_HEADERS= framework.h \
 	  	windowHandler.h \
-	  	object.h \
+	  	model.h \
 	  	array.h \
-		material.h 
+		material.h \
+		texture.h
 
 
Index: orxonox/trunk/src/importer/framework.cc
===================================================================
--- orxonox/trunk/src/importer/framework.cc	(revision 3364)
+++ orxonox/trunk/src/importer/framework.cc	(revision 3365)
@@ -52,5 +52,5 @@
 int main(int argc, char *argv[])
 {
-  int verbose = 3;
+  verbose = 2;
 
   PRINTF(2)("This is The big verbose-Test %i, %s\n", 1, "cool");
@@ -71,9 +71,9 @@
   PRINTF(2)("screensize: %i, %i\n", wHandler.screen->w, wHandler.screen->h);
   if (argc>=3)
-    obj = new Object (argv[1], atof(argv[2]));
+    obj = new Model (argv[1], atof(argv[2]));
   else if (argc>=2)
-    obj = new Object(argv[1]);
+    obj = new Model(argv[1]);
   else 
-    obj = new Object();
+    obj = new Model();
   
   M = Vector(wHandler.screen->w/2, wHandler.screen->h/2, 0); 
@@ -215,5 +215,5 @@
 	  case SDLK_c:
 	    if (!obj)
-	      obj = new Object(argv[1]);
+	      obj = new Model(argv[1]);
 	    break;
 	  }
Index: orxonox/trunk/src/importer/framework.h
===================================================================
--- orxonox/trunk/src/importer/framework.h	(revision 3364)
+++ orxonox/trunk/src/importer/framework.h	(revision 3365)
@@ -3,5 +3,5 @@
  
 #include "windowHandler.h" // Include the Whandler Basecode
-#include "object.h"
+#include "model.h"
 #include "vector.h"
 
@@ -33,5 +33,5 @@
 
 WindowHandler wHandler;  // Create an instance of the whandler basecode class
-Object* obj;
+Model* obj;
 
 
